/*
 * linux/include/asm-arm/arch-cx2417x/system.h
 * (C) Copyright Conexant 2005
 */

#ifndef __ASM_ARCH_SYSTEM_H
#define __ASM_ARCH_SYSTEM_H
#include <asm/arch/hardware.h>

static inline void arch_idle(void)
{
	/* Read the suspend register */
	readl(SYSCTRL_SUSPEND);
}

static inline void arch_reset(char mode)
{
	/* Hit the reset register */
	writel(1, SYSCTRL_RESET);
}

#endif
