.\"
.\" "$Id: lpmove.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $"
.\"
.\"   lpmove man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636 USA
.\"
.\"       Voice: (301) 373-9600
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH lpmove 8 "Common UNIX Printing System" "12 February 2006" "Easy Software Products"
.SH NAME
lpmove \- move a job or all jobs to a new destination
.SH SYNOPSIS
.B lpmove
[ -E ] [ -h
.I server[:port]
] [ -U
.I username
]
.I job destination
.br
.B lpmove
[ -E ] [ -h
.I server[:port]
] [ -U
.I username
]
.I source destination
.SH DESCRIPTION
\fBlpmove\fR moves the specified \fIjob\fR or all jobs from
\fIsource\fR to \fIdestination\fR. \fIjob\fR can be the job ID
number or the old destination and job ID:
.br
.nf

     lpmove 123 newprinter
     lpmove oldprinter-123 newprinter
.fi
.SH OPTIONS
The \fIlpmove\fR command supports the following options:
.TP 5
-E
.br
Forces encryption when connecting to the server.
.TP 5
-U username
.br
Specifies an alternate username.
.TP 5
-h server[:port]
.br
Specifies an alternate server.
.SH SEE ALSO
\fIcancel(1)\fR, \fIlp(1)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 1997-2006 by Easy Software Products, All Rights Reserved.
.\"
.\" End of "$Id: lpmove.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $".
.\"
