.\"
.\" "$Id: mime.convs.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $"
.\"
.\"   mime.convs man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636 USA
.\"
.\"       Voice: (301) 373-9600
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH mime.convs 5 "Common UNIX Printing System" "20 March 2006" "Easy Software Products"
.SH NAME
mime.convs \- mime type conversion file for cups
.SH DESCRIPTION
The \fImime.convs\fR file defines the filters that are available
for converting files from one format to another. The standard
filters support text, PDF, PostScript, HP-GL/2, and many types of
image files.
.LP
Additional filters can be added to the \fImime.convs\fR file or
(preferably) to other files in the CUPS configuration directory.
.LP
Each line in the \fImime.convs\fR file is a comment, blank, or filter
line. Comment lines start with the # character. Filter lines specify
the source and destination MIME types along with a relative cost
associated with the filter and the filter to run:
.br
.nf

super/type super/type cost filter
application/postscript application/vnd.cups-raster 50 pstoraster
.fi
.SH SEE ALSO
\fIclasses.conf(5)\fR, \fIcupsd(8)\fR, \fIcupsd.conf(5)\fR,
\fImime.types(5)\fR, \fIprinters.conf(5)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 1997-2006 by Easy Software Products, All Rights Reserved.
.\"
.\" End of "$Id: mime.convs.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $".
.\"
