#!/bin/sh
echo "Executing Upgrade Script"
if [ -s /bin/boot.bin ]
then
    echo "Writing /bin/boot.bin to Flash"
    flash_update -c/bin/config.bin
    ls -l /bin/config.bin
    sleep 1
    cat /bin/config.bin >> /bin/boot.bin
    flash_eraseall /dev/mtd0
    sleep 1
    cat /bin/boot.bin > /dev/mtd0
    rm /bin/boot.bin
    rm /bin/config.bin
fi

if [ -s /bin/flashfs_update.bin ]
then
    echo "Writing /bin/flashfs_update.bin to Flash"
    flash_eraseall /dev/mtd1
    sleep 1
    cat /bin/flashfs_update.bin > /dev/mtd1
    rm /bin/flashfs_update.bin
fi

if [ -s /bin/jffs2 ]
then
    echo "Writing File System to Flash"
    rm /bin/jffs2
    flash_eraseall /dev/mtd2
    cd /
    mkdir abcd
    mount -t jffs2 /dev/mtdblock2 /abcd
    cp -a /etc /lib /sbin /home /lost\+found /bin /isfs /tmp /dev /part2 /var /proc /root /usr /linuxrc abcd
    umount abcd
fi
