/***************************************************************
*             Copyright (C) 2006 by SerComm Corp.
*                    All Rights Reserved.
*
*      Use of this software is restricted to the terms and
*      conditions of SerComm's software license agreement.
*
*                        www.sercomm.com
****************************************************************/
#define BOOTLOADER	"/dev/mtdblock0"
#define LINUX		"/dev/mtdblock1"
#define ROOTFS		"/dev/mtdblock2"
#define CONFIG		"/dev/mtdblock3"

/*
/dev/mtdblock0 : 0x00000000-0x00060000 : "bootloader"
/dev/mtdblock1 : 0x00060000-0x003b0000 : "linux"
/dev/mtdblock2 : 0x001a0000-0x003b0000 : "rootfs"
/dev/mtdblock3 : 0x007f0000-0x00800000 : "config"
*/

#define PID_LEN		70
#define LOADER_LEN	0x20000

#define PID_MTD     ROOTFS
#define PID_OFFSET	0x0001FFEF - PID_LEN + 1
#define PID_OFFSET_FS 0x003EFFF0 - 0x000D0000
#define PID_FS_LEN  2

#define BUF_SIZE 0x10000 /*64k*/
#define PER_WRITE_SIZE 0x4000

