#include <linux/ioctl.h>

//we are giving a big buffer size to accomodate the long DSL attributes strings.
#define  BUF_SIZE 64 

typedef struct dslattribute {
	char cmd[BUF_SIZE * 2];
	char attribute[BUF_SIZE];
	char value[BUF_SIZE * 2];
}dslattrib_t;


#define BIF_MAGIC 0x88
#define DSLATTRIBGET _IOR(BIF_MAGIC,1,struct dslattribute *)
#define DSLATTRIBSET _IOW(BIF_MAGIC,2,struct dslattribute *) 
#define DSLATTRIBLIST _IOW(BIF_MAGIC,3,struct dslattribute *) 
#define VECTATTRIBGET _IOW(BIF_MAGIC,4,struct dslattribute *) 
#define VECTATTRIBSET _IOW(BIF_MAGIC,5,struct dslattribute *) 


