/* ###########################################################################
# (c) Copyright Conexant Systems, Inc 2001, 2006
#
# Conexant Systems, Inc Confidential and Proprietary
#
# The following software source code ("Software") is strictly confidential and
# is proprietary to Conexant Systems, Inc ("Conexant"). It may only be read,
# used, copied, adapted, modified or otherwise dealt with by you if you have
# entered into a confidentiality agreement with Conexant and then subject to
# the terms of that confidentiality agreement and any other applicable
# agreement between you and Conexant.
#
# If you are in any doubt as to whether you are entitled to access, read,
# use, copy, adapt, modify or otherwise deal with the Software or whether you
# are entitled to disclose the Software to any other person you should
# contact Conexant.  If you have not entered into a confidentiality agreement
# with Conexant granting access to this Software you should forthwith return
# all media, copies and printed listings containing the Software to Conexant.
#
# Conexant reserves the right to take legal action against you should you
# breach the above provisions.
#
# If you are unsure, or to report violations, please contact
# licensee.support@conexant.com
# ##########################################################################*/


#ifndef LX_SHIM_DEFINES_H
#define LX_SHIM_DEFINES_H
#include <linux/string.h>
#include <linux/kernel.h>

#define hsl_BlockZero(mem, s) memset((mem),0,(s)) 
#define hsl_BlockCopy(mem1, mem2, s)  memcpy((mem1), (mem2), (s))

#define hsl_StrCopy(str1, str2, len) strncpy((str1), (str2), (len))
#define hsl_Stricmp(str1, str2) strnicmp((str1), (str2), strlen(str2)) 
#define hsl_Strchr(str1, ch) strchr((str1), (ch)) 
#define hsl_Strncat(str1, str2, s) strncat((str1), (str2), (s)) 

#define hsl_StrToU32(result, residue, string, base) {\
    *result = simple_strtoul(string, residue, base);\
}

#define hsl_StrToS32(result, residue, string, base) {\
    *result = simple_strtol(string, residue, base);\
}


#define hsl_Strrchr(str, ch) strrchr(str,ch)

#endif /* LX_SHIM_DEFINES_H */
