/*
 * linux/arch/arm/mach-solos/debug-macro.S
 *
 * Author: Guido Barzini
 * Copyright (C) 2005 Conexant inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */
		@Note: this assumes that the I/O block containing the UART
		@ mapped at the same virtual and physical locations.
		.macro   addruart,rx
		mov	\rx, #CHM_BASE_PHYS
		add	\rx, \rx, #CHM_UART_TX
		.endm
		
		.macro  senduart, rd, rx
		str	\rd, [\rx]
		.endm
		
		.macro waituart rd, rx
1001:		ldr \rd, [\rx, #4] @UART_STATUS
		tst \rd, #CHARM_UART_TXFULL
		bne 1001b
		.endm

		.macro busyuart rd, rx
1002:		ldr \rd, [\rx, #4] @UART_STATUS
		tst \rd, #CHARM_UART_TXIDLE
		beq 1002b
		.endm
