/*
 * "$Id: cgi-private.h,v 1.1.1.1 2007-10-04 03:13:58 raul_xu Exp $"
 *
 *   Private CGI definitions for the Common UNIX Printing System (CUPS).
 *
 *   Copyright 1997-2005 by Easy Software Products.
 *
 *   These coded instructions, statements, and computer programs are the
 *   property of Easy Software Products and are protected by Federal
 *   copyright law.  Distribution and use rights are outlined in the file
 *   "LICENSE.txt" which should have been included with this file.  If this
 *   file is missing or damaged please contact Easy Software Products
 *   at:
 *
 *       Attn: CUPS Licensing Information
 *       Easy Software Products
 *       44141 Airport View Drive, Suite 204
 *       Hollywood, Maryland 20636 USA
 *
 *       Voice: (301) 373-9600
 *       EMail: cups-info@cups.org
 *         WWW: http://www.cups.org
 */

/*
 * Include necessary headers...
 */

#include "cgi.h"
#include <cups/debug.h>
#include <cups/i18n.h>
#include <cups/string.h>


/*
 * Limits...
 */

#define CUPS_PAGE_MAX	10		/* Maximum items per page */


/*
 * End of "$Id: cgi-private.h,v 1.1.1.1 2007-10-04 03:13:58 raul_xu Exp $".
 */
