.\"
.\" "$Id: cups-polld.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $"
.\"
.\"   cups-polld man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636 USA
.\"
.\"       Voice: (301) 373-9600
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH cups-polld 8 "Common UNIX Printing System" "12 February 2006" "Easy Software Products"
.SH NAME
cups-polld \- cups printer polling daemon
.SH SYNOPSIS
.B cups-polld
.I address ipp-port interval browse-port
.SH DESCRIPTION
\fIcups-polld\fR polls remote servers for a list of available
printers and printer classes every \fIinterval\fR seconds.
Printer and class information is then broadcast to the localhost
interface (127.0.0.1) on the specified browse port for reception
by \fIcupsd(8)\fR.
.PP
This program is started automatically by \fIcupsd\fR for every
\fIBrowsePoll\fR directive found in the \fIcupsd.conf(5)\fR file.
.SH SEE ALSO
\fIcupsd(8)\fR, \fIcupsd.conf(5)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 1997-2006 by Easy Software Products, All Rights Reserved.
.\"
.\" End of "$Id: cups-polld.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $".
.\"
