.\"
.\" "$Id: lpinfo.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $"
.\"
.\"   lpinfo man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636 USA
.\"
.\"       Voice: (301) 373-9600
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH lpinfo 8 "Common UNIX Printing System" "12 February 2006" "Easy Software Products"
.SH NAME
lpinfo \- show available devices or drivers
.SH SYNOPSIS
.B lpinfo
[ -E ] [ -U
.I username
] [ -h
.I server[:port]
] [ -l ] -m
.br
.B lpinfo
[ -E ] [ -U
.I username
] [ -h
.I server[:port]
] [ -l ] -v
.SH DESCRIPTION
\fIlpinfo\fR lists the available devices or drivers known to the
CUPS server. The first form (\fI-m\fR) lists the available
drivers, while the second form (\fI-v\fR) lists the available
devices.
.SH OPTIONS
\fIlpinfo\fR accepts the following options:
.TP 5
-E
.br
Forces encryption when connecting to the server.
.TP 5
-U username
.br
Sets the username to use when connecting to the server.
.TP 5
-h server[:port]
.br
Selects an alternate server.
.TP 5
-l
.br
Shows a "long" listing of devices or drivers.
.SH COMPATIBILITY
The \fIlpinfo\fR command is unique to CUPS.
.SH SEE ALSO
\fIlpadmin(8)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 1997-2006 by Easy Software Products, All Rights Reserved.
.\"
.\" End of "$Id: lpinfo.man,v 1.1.1.1 2007-10-04 03:13:57 raul_xu Exp $".
.\"
