
#ifndef __WRITEMAC_H_
#define __WRITEMAC_H_

#define MAC_LEN 6
#define OFFSET_TO_ADDR(x) ( x * sizeof(unsigned int))

#define ISDELIMITER(x) (((x) == ':') || ((x) == '-'))
#define IS0to9(x) (((x) >= '0') && ((x) <= '9'))
#define ISatof(x) (((x) >= 'a') && ((x) <= 'f'))
#define ISAtoF(x) (((x) >= 'A') && ((x) <= 'F'))
#define ISXDIGIT(x) (IS0to9(x) || ISatof(x) || ISAtoF(x))

#define ATONUM(x) (IS0to9(x) ? (x) - '0' : ISatof(x) ? (x) - 'a' + 10 : (x) - 'A' + 10)
#define ATOX(x) ((ATONUM(*(x)) << 4) | (ATONUM(*((x) + 1)) & 0xF))

#endif

