#ifndef download
#define download
#define LOADER          "/dev/mtdblock0"
#define BOOT_SIZE               0x20000 //0x020000

#define KERNEL_PATH     "/dev/mtdblock1"
#define KERNEL_SIZE             0xb0000 //0x140000

#define FILESYSTEM      "/dev/mtdblock2"
#define FS_SIZE                 0x320000        //0x210000


#define NVRAM          "/dev/mtdblock3"
#define NVRAM_SIZE            0x010000  //0x010000

#define PID_OFF             (0x0001FFEF - 0x46 + 1)  //  move to begin of PID
#define MAC_OFF             (0x0001FFEF - 0x50 + 1)
#define PRODUCT_ID_OFFSET   (0x003EFFF0-BOOT_SIZE-KERNEL_SIZE) //4M-128k
#define PROTOCOL_ID_OFFSET  (PRODUCT_ID_OFFSET+2)
#define FW_VERSION_OFFSET   (PRODUCT_ID_OFFSET+4)
#define SIGNATURE_OFFSET    (PRODUCT_ID_OFFSET+8)

#endif
